Package org.apache.sling.event.impl.jobs.config

# Class InternalQueueConfiguration

java.lang.Object
org.apache.sling.event.impl.jobs.config.InternalQueueConfiguration

All Implemented Interfaces:
  `Comparable<InternalQueueConfiguration>`, `org.apache.sling.event.jobs.QueueConfiguration`

public class InternalQueueConfiguration extends Object implements org.apache.sling.event.jobs.QueueConfiguration, Comparable<InternalQueueConfiguration>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`InternalQueueConfiguration.Config`

## Nested classes/interfaces inherited from interface org.apache.sling.event.jobs.QueueConfiguration

`org.apache.sling.event.jobs.QueueConfiguration.ThreadPriority, org.apache.sling.event.jobs.QueueConfiguration.Type`

## Constructor Summary

Constructors
Constructor
Description
`InternalQueueConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(Map<String,Object> props, InternalQueueConfiguration.Config config)`
Create a new queue configuration
`int`
`compareTo(InternalQueueConfiguration other)`
`static InternalQueueConfiguration`
`fromConfiguration(Map<String,Object> props, InternalQueueConfiguration.Config config)`
Create a new configuration from a config
`int`
`getMaxParallel()`
`int`
`getMaxRetries()`
`String`
`getName()`
Return the name of the queue.
`int`
`getOwnThreadPoolSize()`
`String`
`getPid()`
`int`
`getRanking()`
`long`
`getRetryDelayInMs()`
`org.apache.sling.event.jobs.QueueConfiguration.ThreadPriority`
`getThreadPriority()`
`String[]`
`getTopics()`
`org.apache.sling.event.jobs.QueueConfiguration.Type`
`getType()`
`boolean`
`isKeepJobs()`
`boolean`
`isPreferRunOnCreationInstance()`
`boolean`
`isValid()`
`String`
`match(String topic)`
Check if the queue processes the event.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InternalQueueConfiguration

public InternalQueueConfiguration()

## Method Details

### fromConfiguration

public static InternalQueueConfiguration fromConfiguration(Map<String,Object> props, InternalQueueConfiguration.Config config)
Create a new configuration from a config

### activate

protected void activate(Map<String,Object> props, InternalQueueConfiguration.Config config)
Create a new queue configuration

### isValid

public boolean isValid()

### match

public String match(String topic)
Check if the queue processes the event.

Parameters:
  `topic` - The topic of the event
Returns:
  The queue name or `null`

### getName

public String getName()
Return the name of the queue.

### getRetryDelayInMs

public long getRetryDelayInMs()

Specified by:
  `getRetryDelayInMs` in interface `org.apache.sling.event.jobs.QueueConfiguration`
See Also:
  - `QueueConfiguration.getRetryDelayInMs()`

### getMaxRetries

public int getMaxRetries()

Specified by:
  `getMaxRetries` in interface `org.apache.sling.event.jobs.QueueConfiguration`
See Also:
  - `QueueConfiguration.getMaxRetries()`

### getType

public org.apache.sling.event.jobs.QueueConfiguration.Type getType()

Specified by:
  `getType` in interface `org.apache.sling.event.jobs.QueueConfiguration`
See Also:
  - `QueueConfiguration.getType()`

### getMaxParallel

public int getMaxParallel()

Specified by:
  `getMaxParallel` in interface `org.apache.sling.event.jobs.QueueConfiguration`
See Also:
  - `QueueConfiguration.getMaxParallel()`

### getTopics

public String[] getTopics()

Specified by:
  `getTopics` in interface `org.apache.sling.event.jobs.QueueConfiguration`
See Also:
  - `QueueConfiguration.getTopics()`

### getRanking

public int getRanking()

Specified by:
  `getRanking` in interface `org.apache.sling.event.jobs.QueueConfiguration`
See Also:
  - `QueueConfiguration.getRanking()`

### getPid

public String getPid()

### isKeepJobs

public boolean isKeepJobs()

Specified by:
  `isKeepJobs` in interface `org.apache.sling.event.jobs.QueueConfiguration`

### getOwnThreadPoolSize

public int getOwnThreadPoolSize()

Specified by:
  `getOwnThreadPoolSize` in interface `org.apache.sling.event.jobs.QueueConfiguration`

### isPreferRunOnCreationInstance

public boolean isPreferRunOnCreationInstance()

Specified by:
  `isPreferRunOnCreationInstance` in interface `org.apache.sling.event.jobs.QueueConfiguration`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### compareTo

public int compareTo(InternalQueueConfiguration other)

Specified by:
  `compareTo` in interface `Comparable<InternalQueueConfiguration>`

### getThreadPriority

public org.apache.sling.event.jobs.QueueConfiguration.ThreadPriority getThreadPriority()

Specified by:
  `getThreadPriority` in interface `org.apache.sling.event.jobs.QueueConfiguration`